Subject: Compiling Pine ./build, makefiles, and args

From: [email-masked] (Randall S. Winchester)
Date: 14 Oct 94 15:58:05 GMT

When I compile packages the use the network, I like to pass args like;
XCFLAGS="-I/usr/local/bind/include"
XLDFLAGS="-L/usr/local/bind/lib -lresolv"

This is not doable with the current Pine "build" setup. In pine3.9.0,
I just edited about 50 makefiles.

I would rather not have to do this for ever.

Now, the imap that came in 3.90, had EXTRACFLAGS, and EXTRALDFLAGS in 
their Makefile for "most" system types. In the imap that comes with 3.91 
this no longer works.

These flags (EXTRACFLAGS EXTRALDFLAGS) are not in any of the pine/pico 
makefiles, anyhow, so there is no way to pass args down to all the makefiles.

In pine/makefile.* you have something like;
$(CC) $(LDFLAGS) $(CFLAGS) -o pine $(obj) date.o $(LOCLIBES) $(LIBES)

So trying to add something like -lresolv at the end of the linking stage 
will not work.

Then there is ./build $makeargs; It can handle only the most simple of 
options. 

I would be glad to send back some changes if they would be used/looked at.

The actual options that I am trying to pass are;

XCFLAGS=-DKERBEROS -I/usr/local/bind/include -I/usr/local/athena/include

XLDFLAGS=-L/usr/local/athena/lib -lkrb -ldes /usr/local/bind/lib/libresolv.a

I have added the CMU krb4 patches, and with a few changes have IMAP with 
kerberos V4 support, on SGI, OSF, SunOS4, SunOS5, Ultrix, and HP/UX9.

Thanks for your help.

Randall Winchester